# 项目相关配置
willalp:
  # 名称
  name: Willalp-Vue-Pns
  # 版本
  version: 1.0.1
  # 版权年份
  copyrightYear: 2022
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/willalp/uploadPath，Linux配置 /home/willalp/uploadPath）
#  profile: /home/willalp/ml/uploadPath
  profile: D:/home/willalp/ml/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math
server:
  ssl:
    key-store: classpath:scs1673001719352_ts.willalp.com_server.jks
    key-store-type: jks
    key-store-password: Qv2!MVW*SJ^$d1o6
    protocol: TLS
    enabled: true

# 日志配置
logging:
  level:
    com.willalp: debug
    org.springframework: warn
  file:
    path: /home/willalp-dev/out

# 数据源配置
spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      # 主库数据源
      master:
        url: jdbc:mysql://123.60.93.230:3306/willalp_pns_ml_dev?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&rewriteBatchedStatements=true&allowMultiQueries=true
        #url: jdbc:mysql://114.115.142.166:3306/willalp_pns_prod?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
        #url: jdbc:mysql://localhost:3306/willalp-pns-ml-dev?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
        username: root
        #password: annaru_mysql
        password: willalp_ts_mysql
      #password: 123456
      # 从库数据源
      slave:
      # 从数据源开关/默认关闭
      #        enabled: false
      #        url: jdbc:mysql://47.103.86.55:3306/willalp_control_dev?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      #        username: root
      #        password: annaru_mysql
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 200
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username: willalp
        login-password: 123456
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  # redis 配置
  redis:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
oss:
  local:
    #文件域名
    domain: http://localhost:8080
    #存储路径
    upload-file-path: D:/willalpFile
  aliyun:
    #阿里云api的内或外网域名
    endpoint: oss-cn-beijing.aliyuncs.com
    #阿里云api的密钥access key id
    access-key-id:
    #阿里云api的密钥access key secret
    access-key-secret:
    #阿里云api的bucket名称
    bucket-name:
    #外部访问域名
    domain: http://xxxxx.oss-cn-beijing.aliyuncs.com
netty:
  server-config:
    serverCoreNum: 6
  server-port:
    deviceControlCorePort: 8802
async:
  executor:
    thread:
      core_pool_size: 5
      max_pool_size: 20
      queue_capacity: 100
      name:
        prefix: async-service-
uniapp:
  push:
    baseUrl: https://restapi.getui.com/v2/
    appId: Zxbbt7r3KI9veRcxfGoOF8
    appKey: sBes656vJL961JWc9eozW
    appSecret: GN6B3BE15X8s2iErm80WN
    masterSecret: 8iu6ynCqg986pZXwkefeS6
masterServer:
  host: localhost
  port: 3010
  path: /api
imgServer:
  url: https://ts.willalp.com:3005